dense-linear-algebra-0.1.0.0: Simple and incomplete pure haskell implementation of linear algebra

Copyright | 2014 Bryan O'Sullivan
License | BSD3
Safe Haskell | None
Language | Haskell2010

Statistics.Matrix.Algorithms

Description

Useful matrix functions.

Synopsis

- qr :: Matrix -> (Matrix, Matrix)

# Documentation

qr :: Matrix -> (Matrix, Matrix) Source #

O(r*c) Compute the QR decomposition of a matrix. The result returned is the matrices (q,r).